/* tslint:disable */
/* eslint-disable */
export function represent_hsl(color: string): Float32Array;
export function represent_lab(color: string): Float32Array;
export function represent_oklch(color: string): Float32Array;
export function shift_hue(color: string, degree: number): string;
export function lighten(color: string, percent: number): string;
export function lighten_absolute(color: string, value: number): string;
export function darken(color: string, percent: number): string;
export function darken_absolute(color: string, value: number): string;
export function mix(color1: string, color2: string, percent: number): string;
export function tint(color: string, percent: number): string;
export function shade(color: string, percent: number): string;
export function wacg_relative_contrast(fg_color: string, bg_color: string): number;

export type InitInput = RequestInfo | URL | Response | BufferSource | WebAssembly.Module;

export interface InitOutput {
  readonly memory: WebAssembly.Memory;
  readonly represent_hsl: (a: number, b: number) => [number, number, number, number];
  readonly represent_lab: (a: number, b: number) => [number, number, number, number];
  readonly represent_oklch: (a: number, b: number) => [number, number, number, number];
  readonly shift_hue: (a: number, b: number, c: number) => [number, number, number, number];
  readonly lighten: (a: number, b: number, c: number) => [number, number, number, number];
  readonly lighten_absolute: (a: number, b: number, c: number) => [number, number, number, number];
  readonly darken: (a: number, b: number, c: number) => [number, number, number, number];
  readonly darken_absolute: (a: number, b: number, c: number) => [number, number, number, number];
  readonly mix: (a: number, b: number, c: number, d: number, e: number) => [number, number, number, number];
  readonly tint: (a: number, b: number, c: number) => [number, number, number, number];
  readonly shade: (a: number, b: number, c: number) => [number, number, number, number];
  readonly wacg_relative_contrast: (a: number, b: number, c: number, d: number) => [number, number, number];
  readonly __wbindgen_export_0: WebAssembly.Table;
  readonly __wbindgen_malloc: (a: number, b: number) => number;
  readonly __wbindgen_realloc: (a: number, b: number, c: number, d: number) => number;
  readonly __externref_table_dealloc: (a: number) => void;
  readonly __wbindgen_free: (a: number, b: number, c: number) => void;
  readonly __wbindgen_start: () => void;
}

export type SyncInitInput = BufferSource | WebAssembly.Module;
/**
* Instantiates the given `module`, which can either be bytes or
* a precompiled `WebAssembly.Module`.
*
* @param {{ module: SyncInitInput }} module - Passing `SyncInitInput` directly is deprecated.
*
* @returns {InitOutput}
*/
export function initSync(module: { module: SyncInitInput } | SyncInitInput): InitOutput;

/**
* If `module_or_path` is {RequestInfo} or {URL}, makes a request and
* for everything else, calls `WebAssembly.instantiate` directly.
*
* @param {{ module_or_path: InitInput | Promise<InitInput> }} module_or_path - Passing `InitInput` directly is deprecated.
*
* @returns {Promise<InitOutput>}
*/
export default function __wbg_init (module_or_path?: { module_or_path: InitInput | Promise<InitInput> } | InitInput | Promise<InitInput>): Promise<InitOutput>;
